Skip to content
Start here

Get repository configuration autofill

GET/accounts/{account_id}/builds/repos/{provider_type}/{provider_account_id}/{repo_id}/config_autofill

Analyze repository for automatic configuration detection

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers CI WriteWorkers CI Read
Path ParametersExpand Collapse
account_id: string

Account identifier.

provider_type: "github"
provider_account_id: string

Provider account identifier.

repo_id: string

Repository identifier.

Query ParametersExpand Collapse
branch: string

Git branch name.

root_directory: optional string

Root directory path.

ReturnsExpand Collapse
errors: array of object { code, message }
code: optional number
message: optional string
messages: array of string
result: object { config_file, default_worker_name, env_worker_names, 2 more }
config_file: optional string
default_worker_name: optional string
env_worker_names: optional map[string]
package_manager: optional "npm" or "yarn" or "pnpm" or 2 more
One of the following:
"npm"
"yarn"
"pnpm"
"bun"
"uv"
scripts: optional map[string]
success: boolean
result_info: optional object { count, page, per_page, 2 more }
count: optional number
page: optional number
per_page: optional number
total_count: optional number
total_pages: optional number

Get repository configuration autofill

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/builds/repos/$PROVIDER_TYPE/$PROVIDER_ACCOUNT_ID/$REPO_ID/config_autofill \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "config_file": "wrangler.toml",
    "default_worker_name": "my-worker",
    "env_worker_names": {
      "production": "my-worker-prod",
      "staging": "my-worker-staging"
    },
    "package_manager": "npm",
    "scripts": {
      "build": "npm run build",
      "test": "npm test"
    }
  },
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 12000,
      "message": "Not found"
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "config_file": "wrangler.toml",
    "default_worker_name": "my-worker",
    "env_worker_names": {
      "production": "my-worker-prod",
      "staging": "my-worker-staging"
    },
    "package_manager": "npm",
    "scripts": {
      "build": "npm run build",
      "test": "npm test"
    }
  },
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 50,
    "total_count": 150,
    "total_pages": 3
  }
}